Subject: Re: bug#11000: 24.0.94; Caching '--dired' is a bad idea

From: Glenn Morris <[email-masked]>
Date: Mon, 12 Mar 2012 12:47:31 -0400

Leo wrote:

> If I change insert-directory-program from one supports --dired to one
> not, I can no longer open any directory in dired-mode. For example on
> OSX, I have the `ls' from BSD and another one from GNU coreutils
> installed as `gls', not to mention opening remote directories.
>
> I think caching --dired switch in dired-use-ls-dired is a bad idea.

Not caching it is a worse idea.
There should simple be a note in the doc of insert-directory-program,
saying that if you change this, you may need to change
dired-use-ls-dired. If insert-directory-program were a defcustom
(currently, it is not even a user option), it could have a :set function
that makes the necessary change for you.